MPI_Comm_remote_group(3)

NAME
MPI_Comm_remote_group - Accesses the remote group associated with an intercommunicator.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Comm_remote_group(MPI_Comm comm, MPI_Group *group)

Fortran Syntax
INCLUDE 'mpif.h'
MPI_COMM_REMOTE_GROUP(COMM, GROUP, IERROR)
	INTEGER	COMM, GROUP, IERROR

C++ Syntax
#include <mpi.h>
Group Intercomm::Get_remote_group() const

INPUT PARAMETER

comm
    Communicator.

OUTPUT PARAMETERS

group
    Remote group of communicator.

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Comm_remote_group accesses the remote group associated with an intercommunicator.

The intercommunicator accessors (MPI_Comm_test_inter, MPI_Comm_remote_size, MPI_Comm_remote_group) are all local operations.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO

MPI_Comm_test_inter
MPI_Comm_remote_size
MPI_Intercomm_create
MPI_Intercomm_merge